Skip to main content
`Ctrl`+`K`

# TSAdapt

Abstract object that manages time-step adaptivity

## Synopsis

    #include <petscts.h>
    typedef struct _p_TSAdapt *TSAdapt;

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `TSGetAdapt()`, `TSAdaptCreate()`, `TSAdaptType`

## Level

beginner

## Location

include/petscts.h

## Examples

src/ts/utils/dmplexlandau/tutorials/ex1.c
src/ts/tutorials/extchemfield.c
src/ts/tutorials/ex41.c
src/ts/tutorials/ex51.c
src/ts/tutorials/ex44.c
src/ts/tutorials/ex40.c
src/ts/tutorials/extchem.c
src/ts/tutorials/ex53.c

## Implementations

_p_TSAdapt in include/petsc/private/tsimpl.h
TSAdapt_DSP in src/ts/adapt/impls/dsp/adaptdsp.c
TSAdapt_GLEE in src/ts/adapt/impls/glee/adaptglee.c
TSAdapt_History in src/ts/adapt/impls/history/adapthist.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages